Package nl.tudelft.simulation.dsol.tutorial.section42

# Class Warehouse

java.lang.Object
nl.tudelft.simulation.dsol.tutorial.section42.Warehouse

All Implemented Interfaces:
  `SellerInterface`

    public class Warehouse
    extends Object
    implements SellerInterface

A Warehouse.

Copyright (c) 2002-2020 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Peter Jacobs

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Warehouse​(DEVSSimulatorInterface.TimeDouble simulator)` | constructs a new Warehouse.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `order​(BuyerInterface buyer, long amount)` | order a requested amount.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Warehouse

public Warehouse​(DEVSSimulatorInterface.TimeDouble simulator)
constructs a new Warehouse.

Parameters:
  `simulator` - DEVSSimulatorInterface.TimeDouble; the simulator to schedule on

## Method Details

### order

public final void order​(BuyerInterface buyer, long amount)
order a requested amount.

Specified by:
  `order` in interface `SellerInterface`
Parameters:
  `buyer` - BuyerInterface; the requesting buyer
  `amount` - long; the requested amount